#include <acknex.h>
#include <default.c>
#include "speechrecog.h";

var gamerunning     = 1;
var listeningresult = 0;
STRING* mysentence  = "#100";

TEXT* dummy_text = { strings = 1; pos_x = 10; pos_y = 10; flags = VISIBLE; }
TEXT* status_text = { strings = 1; pos_x = 200; pos_y = 10; flags = VISIBLE; }

function main()
{
	video_mode = 7;
	screen_color.blue = 150;

	init_speech();
	
	while(gamerunning) {
		wait(1);
		
		is_listening(listeningresult);
		
		if(listeningresult == 0) {
			str_cpy((status_text.pstring)[0],"ready");
			get_last_sentence(mysentence);
			str_cpy((dummy_text.pstring)[0],mysentence);
			listeningresult = 1;
			
		}
		else
		{
			str_cpy((status_text.pstring)[0],"listening");
		}
		
		if (key_1) stop_listening();
		if (key_2) start_listening();
		
	}
	free_speech();
}	